
%define plugin	xineliboutput
%define name	vdr-plugin-%plugin
%define version	1.0.0
%define snapshot 0
%define prever	pre7
%define rel	2

%if %snapshot
%define release	%mkrel 2.%snapshot.%rel
%else
%if %prever
%define release %mkrel 3.%prever.%rel
%else
%define release %mkrel %rel
%endif
%endif

%define xineplugindir	%(xine-config --plugindir 2>&1)
%define xineversion	%(xine-config --version 2>/dev/null || echo 0)

Summary:	VDR plugin: X11/xine-lib output plugin
Name:		%name
Version:	%version
Release:	%release
Group:		Video
License:	GPL
URL:		http://users.tkk.fi/~phintuka/vdr/vdr-xineliboutput/
%if %snapshot
Source:		vdr-%plugin-%snapshot.tar.bz2
%else
%if %prever
Source:		http://users.tkk.fi/~phintuka/vdr/vdr-xineliboutput/vdr-%plugin-%{version}%{prever}.tar.bz2
%else
Source:		http://users.tkk.fi/~phintuka/vdr/vdr-xineliboutput/vdr-%plugin-%version.tar.bz2
%endif
%endif
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
%if %mdkversion >= 200700
BuildRequires:	libx11-devel
BuildRequires:	libxv-devel
%else
BuildRequires:	X11-devel
%endif
BuildRequires:	libxine-devel
BuildRequires:	jpeg-devel
Requires:	vdr-abi = %vdr_abi

%description
Framebuffer and/or X11 front-end for VDR. Displays OSD and video in
a raw X/Xv/XvMC window, Linux framebuffer/DirectFB or xine.

Support for local and standalone ("remote") frontends. The plugin is
able to use local pipe, RTP/UDP multicast, UDP unicast and TCP to
transfer the data to the standalone clients.

Built-in image and media player supports playback of most known
media files and network radio/video streams directly from VDR.

Xine frontend is in package xine-xvdr. Standalone frontends are in
packages xineliboutput-sxfe and xineliboutput-fbfe. Local frontends
are in packages xineliboutput-local-sxfe and
xineliboutput-local-fbfe.

%package -n xine-xvdr
Group:		Video
Summary:	Xine frontend for the xineliboutput VDR plugin
Requires:	xine-plugins = %xineversion
Provides:	vdr-plugin-xineliboutput-frontend-xine
Obsoletes:	vdr-plugin-xineliboutput-frontend-xine
Provides:	xineliboutput-fe-xine
Obsoletes:	xineliboutput-fe-xine

%description -n xine-xvdr
With this package you can connect to your VDR with xine with an MRL
like below:
xvdr://127.0.0.1#nocache;demux:mpeg_block

Xine frontend is in package xine-xvdr. Standalone frontends are in
packages xineliboutput-sxfe and xineliboutput-fbfe. Local frontends
are in packages xineliboutput-local-sxfe and
xineliboutput-local-fbfe.

%package -n %plugin-local-sxfe
Group:		Video
Summary:	Local X11 frontend for the xineliboutput VDR plugin
Requires:	xine-xvdr = %version
Requires:	%name = %version
Provides:	vdr-plugin-xineliboutput-frontend-local-x11
Obsoletes:	vdr-plugin-xineliboutput-frontend-local-x11
Provides:	xineliboutput-fe-local-x11
Obsoletes:	xineliboutput-fe-local-x11
Provides:	xineliboutput-fe-x11
Obsoletes:	xineliboutput-fe-x11

%description -n %plugin-local-sxfe
Local X11 frontend for the xineliboutput VDR plugin.

Xine frontend is in package xine-xvdr. Standalone frontends are in
packages xineliboutput-sxfe and xineliboutput-fbfe. Local frontends
are in packages xineliboutput-local-sxfe and
xineliboutput-local-fbfe.

%package -n %plugin-local-fbfe
Group:		Video
Summary:	Local framebuffer/DirectFB frontend for the xineliboutput VDR plugin
Requires:	xine-xvdr = %version
Requires:	%name = %version
Provides:       vdr-plugin-xineliboutput-frontend-local-fb
Obsoletes:      vdr-plugin-xineliboutput-frontend-local-fb
Provides:	xineliboutput-fe-local-fb
Obsoletes:	xineliboutput-fe-local-fb
Provides:	xineliboutput-fe-fb
Obsoletes:	xineliboutput-fe-fb

%description -n %plugin-local-fbfe
Local framebuffer/DirectFB frontend for the xineliboutput VDR
plugin.

Xine frontend is in package xine-xvdr. Standalone frontends are in
packages xineliboutput-sxfe and xineliboutput-fbfe. Local frontends
are in packages xineliboutput-local-sxfe and
xineliboutput-local-fbfe.


%package -n %plugin-sxfe
Group:		Video
Summary:	Standalone X11 frontend for the xineliboutput VDR plugin
Requires:	xine-xvdr = %version
Provides:       vdr-plugin-xineliboutput-frontend-standalone-x11
Obsoletes:      vdr-plugin-xineliboutput-frontend-standalone-x11
Provides:	xineliboutput-fe-standalone-x11
Obsoletes:	xineliboutput-fe-standalone-x11
Provides:	xineliboutput-fe-x11
Obsoletes:	xineliboutput-fe-x11

%description -n %plugin-sxfe
Standalone X11 frontend for the xineliboutput VDR plugin.

Xine frontend is in package xine-xvdr. Standalone frontends are in
packages xineliboutput-sxfe and xineliboutput-fbfe. Local frontends
are in packages xineliboutput-local-sxfe and
xineliboutput-local-fbfe.

%package -n %plugin-fbfe
Group:		Video
Summary:	Standalone framebuffer/DirectFB frontend for the xineliboutput VDR plugin
Requires:	xine-xvdr = %version
Provides:       vdr-plugin-xineliboutput-frontend-standalone-fb
Obsoletes:      vdr-plugin-xineliboutput-frontend-standalone-fb
Provides:	xineliboutput-fe-standalone-fb
Obsoletes:	xineliboutput-fe-standalone-fb
Provides:	xineliboutput-fe-fb
Obsoletes:	xineliboutput-fe-fb

%description -n %plugin-fbfe
Standalone framebuffer/DirectFB frontend for the xineliboutput VDR
plugin.

Xine frontend is in package xine-xvdr. Standalone frontends are in
packages xineliboutput-sxfe and xineliboutput-fbfe. Local frontends
are in packages xineliboutput-local-sxfe and
xineliboutput-local-fbfe.

%prep
%if %snapshot
%setup -q -n vdr-%plugin
%else
%if %prever
%setup -q -n %plugin-%version%prever
%else
%setup -q -n %plugin-%version
%endif
%endif

find -name CVS -type d | while read i; do rm -r "$i" || exit 1; done
perl -pi -e 's,X11R6/lib,X11R6/%{_lib},' Makefile

%vdr_plugin_params_begin %plugin
# Local frontend
# Supported frontends:
# sxfe (X11)
# fbfe (framebuffer)
# none (only remote frontends)
var=LOCAL
param=--local=LOCAL
# Port where to listen for remote clients
# none or 0 disables remote mode
var=REMOTE_PORT
param=--remote=REMOTE_PORT
# Audio driver
# Supported values: auto, alsa, oss, arts, esound, none
var=AUDIO
param=--audio=AUDIO
# Video driver
# Supported values:
# for sxfe: auto, x11, xshm, xv, xvmc, xxmc, vidix, none
# for fbfe: auto, fb, DirectFB, vidixfb, none
var=VIDEO
param=--video=VIDEO
# Fullscreen mode (X11)
var=FULLSCREEN
param=--fullscreen
# Window width
var=WIDTH
param=--width=WIDTH
# Window height
var=HEIGHT
param=--height=HEIGHT
# Use X11 display DISP
var=DISP
param=--display=DISP
# Use xine post plugin POST
# format: pluginname[:arg=val[,arg=val]][,...]
# example: "upmix;tvtime:enabled=1,cheap_mode=1"
var=POST
param=--post=POST
# Force xineliboutput to be primary device when
# there are active frontend(s)
var=PRIMARY
param=--primary
# Exit vdr when local frontend window is closed. You may also want
# to define VDR_MAX_RESTART=0 in /etc/sysconfig/vdr.
var=EXIT_ON_CLOSE
param=--exit-on-close
%vdr_plugin_params_end

mkdir xine-plugins

%build

%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %buildroot%xineplugindir/post %buildroot%_bindir

%makeinstall BINDIR=%buildroot%_bindir XINEPLUGINDIR=%buildroot%xineplugindir

install -m755 libxineliboutput-*.so.* %{buildroot}%{_vdr_plugin_dir}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%clean
rm -rf %{buildroot}

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY examples

%files -n xine-xvdr
%defattr(-,root,root)
%doc README
%{xineplugindir}/*.so
%{xineplugindir}/post/*.so

%files -n %plugin-local-fbfe
%defattr(-,root,root)
%doc README
%dir %{_vdr_plugin_dir}
%{_vdr_plugin_dir}/libxineliboutput-fbfe.so.*

%files -n %plugin-local-sxfe
%defattr(-,root,root)
%doc README
%dir %{_vdr_plugin_dir}
%{_vdr_plugin_dir}/libxineliboutput-sxfe.so.*

%files -n %plugin-fbfe
%defattr(-,root,root)
%doc README
%_bindir/vdr-fbfe

%files -n %plugin-sxfe
%defattr(-,root,root)
%doc README
%_bindir/vdr-sxfe


%changelog
* Mon Jan 29 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.pre7.2mdv2007.0
+ Revision: 115052
- rebuild for new xine-lib

* Sun Jan 21 2007 Anssi Hannula <anssi@mandriva.org> 1.0.0-3.pre7.1mdv2007.1
+ Revision: 111488
- 1.0.0pre7
- drop patch0, applied upstream
- add a comment into the sysconfig file

* Sun Dec 31 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-2.20061219.1mdv2007.1
+ Revision: 103004
- drop unneeded patch1
- rename packages around (again)
- shorter release to shorten rpm filename

* Fri Dec 22 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre6.20061219.1mdv2007.1
+ Revision: 101809
- svn snapshot
- make frontends to not require the plugin itself

* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre6.3mdv2007.1
+ Revision: 90984
- rebuild for new vdr

* Mon Dec 04 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre6.2mdv2007.1
+ Revision: 90448
- rebuild for new xine

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre6.1mdv2007.1
+ Revision: 74519
- 1.0.0pre6
- patch0: fix typo in cast
- update filelist and configuration file

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.pre1.5mdv2007.1
+ Revision: 74472
- redirect stderr of xine-config to null instead of stdout
- fix output if xine-config not present during src build
- rebuild for new vdr
- Import vdr-plugin-xineliboutput



* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.4mdv2007.0
- rebuild for new vdr

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.3mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.2mdv2007.0
- rebuild for new vdr

* Thu Jul 27 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-0.pre1.1mdv2007.0
- 1.0.0pre1
- combine few frontend packages to shorten package names again

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.99-2mdv2007.0
- rebuild for new vdr

* Wed Jul 12 2006 Anssi Hannula <anssi@mandriva.org> 0.99-1mdv2007.0
- 0.99 final

* Mon Jul 10 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.4mdv2007.0
- rebuild for xine-lib 1.1.2
- shorten package names

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.3mdv2007.0
- use _ prefix for system path macros

* Wed Jun 14 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.2mdv2007.0
- fix buildrequires

* Mon Jun 12 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc5.1mdv2007.0
- 0.99rc5
- drop patch1, patch2, fixed upstream
- improve description

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.3mdv2007.0
- fix empty version macro when libxine-devel not yet installed

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.2mdv2007.0
- fix requires of local frontends

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99-0.rc4.1mdv2007.0
- initial Mandriva release
